BaseClass = require './common/base_class'

class Datasources extends BaseClass

  endpoints:
    list: '/topics/:slug/datasources'
    by_type: '/topics/:slug/datasources/types'
    social_stats: '/topics/:slug/social/stats'

  list: (slug, opts = {}, callback) ->
    @request 'GET', @replaceUrlParams({'slug': slug}, @endpoints.list), opts, callback

  by_type: (slug, opts = {}, callback) ->
    @request 'GET', @replaceUrlParams({'slug': slug}, @endpoints.by_type), opts, callback

  social_stats: (slug, opts = {}, callback) ->
    @request 'GET', @replaceUrlParams({'slug': slug}, @endpoints.social_stats), opts, callback

module.exports = Datasources
