BaseClass = require './common/base_class'

class Locations extends BaseClass

  endpoints:
    list: '/topics/:slug/location/pins'
    provinces: '/topics/:slug/location/provinces'
    heatmap: '/topics/:slug/location/heatmap'

  list: (slug, opts = {}, callback) ->
    @request 'GET', @replaceUrlParams({'slug': slug}, @endpoints.list), opts, callback

  provinces: (slug, opts = {}, callback) ->
    @request 'GET', @replaceUrlParams({'slug': slug}, @endpoints.provinces), opts, callback

  heatmap: (slug, opts = {}, callback) ->
    @request 'GET', @replaceUrlParams({'slug': slug}, @endpoints.heatmap), opts, callback

module.exports = Locations
