BaseClass = require './common/base_class'

class Fizzle extends BaseClass

  endpoints:
    validate: '/fizzle/validate'
    match: '/fizzle/match'
    search: '/fizzle/search'

  validate: (opts = {}, callback) ->
    @request 'GET', @endpoints.validate, opts, callback

  match: (opts = {}, callback) ->
    @request 'GET', @endpoints.match, opts, callback

  search: (opts = {}, callback) ->
    @request 'GET', @endpoints.search, opts, callback

module.exports = Fizzle
