BaseClass = require './common/base_class'

class Topics extends BaseClass

  endpoints:
    list: '/topics'
    show: '/topics/:slug'

  list: (callback, opts = {}) ->
    @request 'GET', @endpoints.list, opts, callback

  show: (slug, callback, opts = {}) ->
    @request 'GET', @replaceUrlParams({'slug': slug}, @endpoints.show), opts, callback

module.exports = Topics
